#!/bin/bash
set -eu;

sudo apt-get -qq --yes --no-install-recommends install make gcc;
git clone --depth 1 --recurse-submodules https://github.com/tomasz-lisowski/swsim.git;

pushd .;
cd ./swsim;
git reset --hard 8b9a77ae3ac1abf0f8019b3d87cdffe00fb3b895;
make -j$(nproc) main;
popd;
